打印

军哥 lnmp1.4和php-redis冲突导致 安装问题

军哥 lnmp1.4和php-redis冲突导致 安装问题

场景说明:使用lnmp1.4 安装了php mysql nginx环境 后面又升级了php 版本到7.1.7 ,如下信息,现在需要在php 7.1.7 版本情况下安装php-redis

PHP 7.1.7 (cli) (built: Apr 18 2018 19:08:08) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2017 Zend Technologies



OS
(gcc version 4.9.2 (Debian 4.9.2-10+deb8u1)) #1 SMP Tue Mar 27 14:42:14 UTC 2018

问题:

昨天晚上安装了redis 通过redis-cli 测试 set key "hello world" 和get key 测试可以正常使用,

现在php-redis 无法正确安全,我使用的安装方法是yum install php-redis  ,安装提示成功,但是phpinfo仍旧没有php-redis

因为yum Repository 因为之前显示安装的是php5.4 所以更换为webstatic

输入 yum install php-redis 具体是php7.2版本的

=================================================================================================================================================================================
Package                                           Arch                                Version                                       Repository                             Size
=================================================================================================================================================================================
Installing:
php72w-pecl-redis                                 x86_64                              3.1.6-1.w7                                    webtatic                              168 k
Installing for dependencies:
libargon2                                         x86_64                              20161029-2.el7                                epel                                   23 k
php72w-cli                                        x86_64                              7.2.4-1.w7                                    webtatic                              3.1 M
php72w-common                                     x86_64                              7.2.4-1.w7                                    webtatic                              1.3 M
php72w-pear                                       noarch                              1:1.10.4-1.w7                                 webtatic                              340 k
php72w-pecl-igbinary                              x86_64                              2.0.5-1.w7                                    webtatic                              109 k
php72w-process                                    x86_64                              7.2.4-1.w7                                    webtatic                               38 k
php72w-xml                                        x86_64                              7.2.4-1.w7                                    webtatic                              122 k




所以现在是彻底懵了,是用编译安装php-redis 还是全部卸载php 然后全部重新安装,还是需要调整 yum Repository

谢谢

[ 本帖最后由 brooks2008 于 2018-5-4 09:04 编辑 ]

TOP

使用这个 yum install php71w 居然提示能安装成功,但是我本身已经安装了php7.1.7 版本了呀

TOP

问题已解决
编译安装解决

$ wget https://github.com/phpredis/phpredis/archive/4.0.0.tar.gz
$ tar -zxf 4.0.0.tar.gz
$ cd phpredis-4.0.0                      # 进入 phpredis 目录

$ /usr/local/php/bin/phpize              # php安装后的路径
$ ./configure --with-php-config=/usr/local/php/bin/php-config
$ make && make install


修改php.ini文件
  vim /usr/local/php/etc/php.ini

找不到php.ini文件可以使用下面命令寻找

# find / -name php

增加如下内容:
extension=redis.so

但是仍像知道原理和更深层次的东西、

谢谢

TOP

你用 yum install php-redis 肯定会另外再安装上php导致你系统上有多个php版本,本来lnmp就自带redis和php-redis的安装,自己去官网搜索教程

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP